## krita-5.2.13-3.src.tar.gz

=== plugins/extensions/resourcemanager/CMakeLists.txt ===
set(kritaresourcemanager_SOURCES
    resourcemanager.cpp
    dlg_create_bundle.cpp
    dlg_bundle_manager.cpp
    dlg_embed_tags.cpp
    DlgResourceManager.cpp
    wdgtagselection.cpp
    ResourceImporter.cpp
    DlgResourceTypeForFile.cpp
)

ki18n_wrap_ui(kritaresourcemanager_SOURCES
    wdgdlgcreatebundle.ui 
    wdgdlgbundlemanager.ui
    wdgdlgembedtags.ui
    WdgDlgResourceManager.ui
)

kis_add_library(kritaresourcemanager MODULE ${kritaresourcemanager_SOURCES})
target_link_libraries(kritaresourcemanager kritawidgets kritaui kritalibpaintop kritaresources kritaresourcewidgets)
install(TARGETS kritaresourcemanager  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install(FILES resourcemanager.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)
